Link.LocaleSpec (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.modules, class: Link, class: LocaleSpec

Package org.apache.tools.ant.taskdefs.modules

# Class Link.LocaleSpec

java.lang.Object
org.apache.tools.ant.taskdefs.modules.Link.LocaleSpec

Enclosing class:
  Link

    public class Link.LocaleSpec
    extends java.lang.Object

Child element that contains a pattern matching Java locales.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LocaleSpec()` | Creates an unconfigured element.
  `LocaleSpec​(java.lang.String name)` | Creates an element with the given name pattern.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getName()` | Attribute containing a pattern which matches Java locale names.
  `void` | `setName​(java.lang.String name)` | Sets attribute containing a pattern which matches Java locale names.
  `void` | `validate()` | Verifies this element's state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocaleSpec

    public LocaleSpec()
    Creates an unconfigured element.

  - ### LocaleSpec

    public LocaleSpec​(java.lang.String name)
    Creates an element with the given name pattern.
    Parameters:
      `name` - pattern of locale names to match

- ## Method Details

  - ### getName

    public java.lang.String getName()
    Attribute containing a pattern which matches Java locale names. May be an explicit Java locale, or may contain an asterisk (`*)` for wildcard matching.
    Returns:
      this element's locale name pattern

  - ### setName

    public void setName​(java.lang.String name)
    Sets attribute containing a pattern which matches Java locale names. May be an explicit Java locale, or may contain an asterisk (`*)` for wildcard matching.
    Parameters:
      `name` - new locale name or pattern matching locale names

  - ### validate

    public void validate()
    Verifies this element's state.
    Throws:
      `BuildException` - if name is not set